
import numpy as np
from catboost import CatBoostClassifier, Pool

def train_catboost_classifier(X_train, y_train):
    # Initialize the CatBoostClassifier
    model = CatBoostClassifier()

    # Create a Pool object for the training data
    train_pool = Pool(data=X_train, label=y_train)

    # Fit the model on the training data
    model.fit(train_pool)

    return model



